/**
 * 登录响应
 * 
 */
import { z } from "zod";
import { UserSchema } from "../user/user";

export const LoginResponseSchema = z.object({
  user: UserSchema,
  token: z.string(),
  refreshToken: z.string().default(""),
});

export type LoginResponseInput = z.input<typeof LoginResponseSchema>;
export type LoginResponseData = z.output<typeof LoginResponseSchema>;
